function habit_dynamics_simulator(caseindex)
filename=['outputs/solution_' num2str(caseindex) '.mat'];
load(filename, 'piM', 'sigmaM', 'piE', 'sigmaE', 'rf', 'rho', 'gamma','mu_xpera', 'muloga', 'sigmaloga', 'dz', 'dt', 'share_ss', 'snum',  'svec',  'sdist_ss', 'A', 'X', 'C', 'time', 'u_new');
load('inputs/randomvec.mat', 'randomvec');

A_init=1;

sigmaA=piM/(gamma*sigmaM);
sigmaH=piE/(gamma*sigmaE);
sigmaT=sqrt(sigmaA^2+sigmaH^2);

N2=length(A);
T=N2*dt;

X_hb=zeros(N2,1);
[M,junk]=size(u_new);
weightsfl_new=flipud(u_new(1:M));

time_hb=cumsum(dt*ones(N2+M,1))-(M)*dt;
A0=A_init;
A_hb_noshock=A_init*exp(time_hb*(-mu_xpera+(1/2)*sigmaloga^2));
A_hb_noshock(1:M)=A_hb_noshock(1:M).*exp(-time_hb(1:M)*sigmaA^2);
A_hb=A_hb_noshock;
time=time_hb(M+1:M+N2);
X_init=A_init*share_ss/(1-share_ss);

A_hb(M+1:M+N2)=A;

X_hb=zeros(N2+M,1);
X_hb(1:M)=X_init*exp(time_hb(1:M)*(-mu_xpera+(1/2)*sigmaloga^2));
C_init=A_init+X_init;
C_hb=zeros(N2+M,1);
C_hb(1:M)=X_hb(1:M)+A_hb(1:M);

for i=1:N2    
    X_hb(M+i)=C_hb'*[zeros(i-1,1);weightsfl_new;zeros(N2-i+1,1)]*dt;
    C_hb(M+i)=X_hb(M+i)+A_hb(M+i);    
end;
X_ratio=X_hb(M+1:M+N2)./X;
%figure
%plot(time,X_ratio);

save(filename, 'X_hb','C_hb', 'A_hb', 'time_hb', 'X_ratio', '-append');
