clear

load('outputs/solution_1.mat', 'dz', 'svec',  'sdist_ss', 'sample_matrix');   
svec1=svec;
sdist_ss1=sdist_ss;
sample_matrix1=sample_matrix;

load('outputs/solution_4.mat','dz',  'svec',  'sdist_ss', 'sample_matrix');   
svec4=svec;
sdist_ss4=sdist_ss;
sample_matrix4=sample_matrix;

figure

subplot(2,2,1); 
plot(svec1,sdist_ss1/dz); 
axis([-1 1 0 2.5]);
ax=gca;
set(ax,'XTick',[-1 -0.5 0 0.5 1],'FontSize',9);
set(ax,'YTick',[0 1 2],'FontSize',9);
xlabel('Log commitment to adjustable ratio','FontSize',9);
title('(a) High aggregate, low idiosyncratic risk','FontSize',10);

subplot(2,2,2); 
plot(svec4,sdist_ss4/dz); 
axis([-1 1 0 2.5]);
ax=gca;
set(ax,'XTick',[-1 -0.5 0 0.5 1],'FontSize',9);
set(ax,'YTick',[0 1 2],'FontSize',9);
xlabel('Log commitment to adjustable ratio','FontSize',9);
title('(b) Low aggregate, high idiosyncratic risk','FontSize',10);

subplot(2,2,3); 
plot(svec1,sample_matrix1/dz); 
axis([-1 1 0 2.5]);
ax=gca;
set(ax,'XTick',[-1 -0.5 0 0.5 1],'FontSize',9);
set(ax,'YTick',[0 1 2],'FontSize',9);
xlabel('Log commitment to adjustable ratio','FontSize',9);

subplot(2,2,4); 
plot(svec4,sample_matrix4/dz); 
axis([-1 1 0 2.5]);
ax=gca;
set(ax,'XTick',[-1 -0.5 0 0.5 1],'FontSize',9);
set(ax,'YTick',[0 1 2],'FontSize',9);
xlabel('Log commitment to adjustable ratio','FontSize',9);

set(gcf,'PaperPositionMode','auto');
saveas(gcf,'outputs/Figure1.fig');
saveas(gcf,'exhibits/Figure1.pdf');
